[arch-commits] Commit in (5 files)
Pierre Schmitz
pierre at archlinux.org
Thu Jul 24 09:11:44 UTC 2008
Date: Thursday, July 24, 2008 @ 05:11:43
Author: pierre
Revision: 6416
adding kdelibs version 3 for some old applications
Added:
kdelibs3/
kdelibs3/repos/
kdelibs3/trunk/
kdelibs3/trunk/PKGBUILD
kdelibs3/trunk/kde3.profile
--------------+
PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
kde3.profile | 15 +++++++++++++++
2 files changed, 67 insertions(+)
Added: kdelibs3/trunk/PKGBUILD
===================================================================
--- kdelibs3/trunk/PKGBUILD (rev 0)
+++ kdelibs3/trunk/PKGBUILD 2008-07-24 09:11:43 UTC (rev 6416)
@@ -0,0 +1,52 @@
+# $ Id: $
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=kdelibs3
+pkgver=3.5.9
+pkgrel=1
+pkgdesc="KDE3 Core Libraries"
+arch=('i686' 'x86_64')
+url="http://www.kde.org"
+license=('GPL' 'LGPL')
+depends=('db>=4.7' 'libxslt' 'pcre' 'libart-lgpl' 'openexr' 'alsa-lib' 'libcups'
+ 'avahi>=0.6.9' 'jasper>=1.900.1' 'bzip2' 'openssl' 'libidn' 'perl'
+ 'aspell' 'heimdal>=1.0.1' 'acl' 'libtiff' 'qt3>=3.3.7' 'ca-certificates')
+makedepends=('pkgconfig' 'cups' 'lua')
+options=('libtool')
+source=("http://download.kde.org/stable/${pkgver}/src/kdelibs-${pkgver}.tar.bz2" 'kde3.profile')
+md5sums=('55e5f00874933d1a7ba7c95e369a205e' '3c49828eb8985cfb25af8e1495f7800a')
+
+build() {
+ cd $srcdir/kdelibs-$pkgver
+
+ . /etc/profile.d/qt3.sh
+ . $srcdir/kde3.profile
+
+ # install KDE3 profile
+ install -D -m755 $srcdir/kde3.profile $pkgdir/etc/profile.d/kde3.sh
+
+ ./configure --prefix=/opt/kde \
+ --with-distribution='Arch Linux' \
+ --with-alsa \
+ --disable-dependency-tracking \
+ --disable-debug \
+ --disable-dnssd \
+ --disable-dnotify \
+ --enable-inotify \
+ --enable-sendfile \
+ --without-lua \
+ --without-hspell \
+ --enable-gcc-hidden-visibility \
+ --enable-final \
+ --enable-new-ldflags LDFLAGS="${LDFLAGS} -L/opt/qt/lib" \
+ --without-arts \
+ --disable-libfam || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+
+ # cert bundle seems to be hardcoded
+ # link it to the one from ca-certificates
+ rm -f $pkgdir/opt/kde/share/apps/kssl/ca-bundle.crt
+ ln -sf /etc/ssl/certs/ca-certificates.crt $pkgdir/opt/kde/share/apps/kssl/ca-bundle.crt
+}
\ No newline at end of file
Added: kdelibs3/trunk/kde3.profile
===================================================================
--- kdelibs3/trunk/kde3.profile (rev 0)
+++ kdelibs3/trunk/kde3.profile 2008-07-24 09:11:43 UTC (rev 6416)
@@ -0,0 +1,15 @@
+export KDE3DIR=/opt/kde
+export KDEDIRS=/usr:$KDE3DIR
+export PATH=$PATH:$KDE3DIR/bin
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$KDE3DIR/lib/pkgconfig
+if [ ! -z $XDG_DATA_DIRS ]; then
+ export XDG_DATA_DIRS=$XDG_DATA_DIRS:$KDE3DIR/share
+else
+ export XDG_DATA_DIRS=$KDE3DIR/share
+fi
+if [ ! -z $XDG_CONFIG_DIRS ]; then
+ export XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:$KDE3DIR/etc/xdg
+else
+ export XDG_CONFIG_DIRS=$KDE3DIR/etc/xdg
+fi
+unset KDE3DIR
\ No newline at end of file
Property changes on: kdelibs3/trunk/kde3.profile
___________________________________________________________________
Name: svn:executable
+ *
More information about the arch-commits
mailing list